Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513126 - Upgrade from 5.5 to 5.6 document is missing steps
Summary: Upgrade from 5.5 to 5.6 document is missing steps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.5
Assignee: Dayle Parker
QA Contact: Chris Budzilowicz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 19:28 UTC by Nick Carboni
Modified: 2018-03-27 05:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-27 05:27:56 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Carboni 2017-11-14 19:28:07 UTC
Document URL: https://access.redhat.com/articles/2297391

Section Number and Name: 4. Migrating VMDB Appliances from CFME 5.5 to 5.6

Describe the issue: 

The section on migrating the database appliance is missing the *essential* steps of running `yum update` as well as `rake db:migrate`

Suggestions for improvement: 

I assume these should be under step 1 in section 4 which states:

"Start an SSH session to the appliance. Type the following commands to stop the CFME service, update to the latest CFME package, and migrate the database to the 5.6 level. Wait for each command to finish before going to the next step."

I would expect commands after this block of text like:

systemctl stop evmserverd

yum update

rake db:migrate

Additional information:

Comment 2 Andrew Dahms 2018-03-20 01:07:23 UTC
Assigning to Dayle for review.

Dayle - this is a request for the migration content before when we took on managing this.

It's for an older version, but given the important nature of this content, it would be great if we can duck in and make the changes.

Comment 3 Dayle Parker 2018-03-21 07:00:43 UTC
Sounds good, Andrew! ^^

Hi Chris,

I've updated this article now with the commands Nick mentioned here, adding the commands after step 1 in section 4. Migrating VMDB Appliances from CFME 5.5 to 5.6. 

I made a small additional change after reading the comments on the article -- Joe Rafaniello suggested we write 'rake' as 'bin/rake' to prevent any confusion, so I just made that consistent throughout. Please let me know (or feel free to jump in and make changes to the article) if you spot anything needing a fix. (The changes are published BTW)

Thank you,
Dayle


Note You need to log in before you can comment on or make changes to this bug.